/***************************************************
  Example for 2 DC motor && 16 Servo Drive Shield.

  Results: Servo run forward, and then backward....

  by DOIT. http://www.doit.am
 ****************************************************/

#include <Wire.h>
#include <ServoDriver.h>

ServoDriver pwm = ServoDriver();

#define SERVOMIN  102 // this is the 'minimum' pulse length count (out of 4096)
#define SERVOMAX  512 // this is the 'maximum' pulse length count (out of 4096)

int pwm1 = 6;
int dir1 = 7;
int pwm2 = 11;                         
int dir2 = 12; 
// IMPORTANT: Servo num #
uint8_t servonum = 0;

void setup() {

  pwm.begin();
  pwm.setPWMFreq(50);  // servos run at 50 Hz
  pinMode(dir1, OUTPUT);   
  pinMode(dir2, OUTPUT); 
}

void loop() {
  // Drive ONE servo  at a time
int value;
    for(value = 0 ; value<=255; value+=5) // forward,speed up
  { 
    digitalWrite(dir1,HIGH);   
    digitalWrite(dir2,HIGH);       
    analogWrite(pwm1, value);   //PWM Speed Control
    analogWrite(pwm2 , value);   //PWM Speed Control
    delay(30); 
  }  
  for(value = 255 ; value >=0; value-=5) // forward,speed down
  { 
    digitalWrite(dir1,HIGH);   
    digitalWrite(dir2,HIGH);       
    analogWrite(pwm1, value);   //PWM Speed Control
    analogWrite(pwm2 , value);   //PWM Speed Control
    delay(30); 
  }  
  delay(2000); 
    for(value = 0 ; value<=255; value+=5) // backward,speed up
  { 
    digitalWrite(dir1,LOW);   
    digitalWrite(dir2,LOW);    
    analogWrite(pwm1, value);   //PWM Speed Control
    analogWrite(pwm2 , value);   //PWM Speed Control
    delay(30); 
  }    
 for(value = 255 ; value >=0; value-=5) // backward,speed down
  { 
    digitalWrite(dir1,LOW);   
    digitalWrite(dir2,LOW);       
    analogWrite(pwm1, value);   //PWM Speed Control
    analogWrite(pwm2 , value);   //PWM Speed Control
    delay(30); 
  }  
   delay(2000); 

  for (uint16_t pulselen = SERVOMIN; pulselen < SERVOMAX; pulselen++) {
    pwm.setPWM(servonum, 0, pulselen);
  }
  delay(300);
  for (uint16_t pulselen = SERVOMAX; pulselen > SERVOMIN; pulselen--) {
    pwm.setPWM(servonum, 0, pulselen);
  }
  delay(300);
}
